<div *ngIf="!successFlag && !failflag">
    <p class="emailcolor">otp has sended to {{email}} !</p>
    <ng-otp-input (onInputChange)="onOtpChange($event)" [config]="{length:5}"></ng-otp-input>
    <p *ngIf="chancesotp"> remaining chance to enter valid otp : {{count}}</p>
    <button class="btn btn-light butonmargin" (click)="resendOtp()">Resend Otp</button>
    <button class="m-2 btn btn-light" (click)="backpage()">back</button>
    <br>
    <button class="btn btn-primary ml-0 butonmargin" type="submit" (click)="verifyOtp()">Click to Verify</button>
</div>
<h1 *ngIf="successFlag">Registered successfully</h1>



